> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retweet V3

> V3 Retweet API - Retweet a tweet using your username. You must have logged in via user_login_v3 first. Trial operation price: $0.002 per call.



## OpenAPI

````yaml POST /twitter/retweet_v3
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/retweet_v3:
    post:
      description: >-
        V3 Retweet API - Retweet a tweet using your username. You must have
        logged in via user_login_v3 first. Trial operation price: $0.002 per
        call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_name
                - tweet_id
              properties:
                user_name:
                  type: string
                  description: >-
                    Twitter username. Must be set. The user must have been
                    logged in via user_login_v3.
                tweet_id:
                  type: string
                  description: The ID of the tweet to retweet. Must be set.
      responses:
        '200':
          description: Retweet response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Status of the request. 'success' means the tweet has been
                      retweeted.
                  msg:
                    type: string
                    description: Message describing the result.
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````